com.taosdata.jdbc.ws.tmq.meta

## Class MetaCreateSuperTable

- java.lang.Object
- - com.taosdata.jdbc.ws.tmq.meta.Meta
  - - com.taosdata.jdbc.ws.tmq.meta.MetaCreateSuperTable

    public class MetaCreateSuperTable
    extends Meta

### Constructor Summary

Constructors
Constructor and Description
`MetaCreateSuperTable()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`List<Column>` `getColumns()`
`List<Column>` `getTags()`
`int` `hashCode()`
`void` `setColumns(List<Column> columns)`
`void` `setTags(List<Column> tags)`

### Methods inherited from class com.taosdata.jdbc.ws.tmq.meta.Meta

`getTableName, getTableType, getType, setTableName, setTableType, setType`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MetaCreateSuperTable

    public MetaCreateSuperTable()

### Method Detail

#### getColumns

    public List<Column> getColumns()

#### setColumns

    public void setColumns(List<Column> columns)

#### getTags

    public List<Column> getTags()

#### setTags

    public void setTags(List<Column> tags)

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Meta`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Meta`